﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using GrapeCity.ActiveReports.Web.Controls;
using GrapeCity.ActiveReports.Web;

namespace FlashViewer_Toolbar_CS
{
    public partial class WebForm1 : System.Web.UI.Page
    {
        void ExportToPDF() //Exporting the Report TO PDF
        {

            System.IO.MemoryStream m_stream = new System.IO.MemoryStream();
            GrapeCity.ActiveReports.Export.Pdf.Section.PdfExport pdfExport1 = new GrapeCity.ActiveReports.Export.Pdf.Section.PdfExport();
            GrapeCity.ActiveReports.SectionReport _ExportReport = new GrapeCity.ActiveReports.SectionReport();
            _ExportReport.Document.Load(Server.MapPath("Employee Sales.rdf"));
            pdfExport1.Export(_ExportReport.Document, m_stream);
            m_stream.Position = 0;
            Response.ContentType = "application/pdf";
            Response.AddHeader("content-disposition", "attachment;filename=MyExport.pdf");
            Response.BinaryWrite(m_stream.ToArray());
            Response.End();

        }

        ToolButton AddCustomButton(string ButtonName, String ButtonCaption, String ButtonToolTip, string URLpath) //Function to Add a Custom Button
        {
            ToolButton customButton = Tool.CreateButton(ButtonName);
            customButton.Caption = ButtonCaption;
            customButton.ToolTip = ButtonToolTip;
            if (URLpath != "")
            {
                customButton.ClickNavigateTo = URLpath;
            }
            return customButton;
        }
    

        protected void Page_Load(object sender, EventArgs e)
        {
            if (Request.QueryString["Export"] == "PDF")  //This checks the query string passed and performs exporting on the Server Side
            {
                ExportToPDF();
            }

            GrapeCity.ActiveReports.SectionReport _rpt = new GrapeCity.ActiveReports.SectionReport();
            _rpt.Document.Load(Server.MapPath("Employee Sales.rdf"));
            WebViewer1.FlashViewerToolBar.Tools.Insert(21, AddCustomButton("CustomButton", "SampleButton", "CustomButton", ""));
            WebViewer1.FlashViewerToolBar.Tools.Insert(22, AddCustomButton("PDFEXPORT", "Export To PDF", "PDF EXPORT", "WebForm1.aspx?Export=PDF")); //Passed a query string
            WebViewer1.Report = _rpt;
        }
    }
}